Tool: get_course_work_rubric
Retrieves the grading rubric criteria and levels for a specific coursework item.
The following code sample shows how to use curl to call the get_course_work_rubric MCP tool.
| Curl Request |
|---|
curl --location 'https://classroommcp.googleapis.com/mcp/v1' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_course_work_rubric", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request to retrieve the rubric for a coursework item.
GetCourseWorkRubricRequest
| JSON representation |
|---|
{ "courseId": string, "courseWorkId": string } |
| Fields | |
|---|---|
courseId |
Required. Identifier of the course. |
courseWorkId |
Required. Identifier of the coursework item. |
Output Schema
A grading rubric for a coursework item.
Rubric
| JSON representation |
|---|
{
"criteria": [
{
object ( |
| Fields | |
|---|---|
criteria[] |
The grading criteria for the rubric. |
Criterion
| JSON representation |
|---|
{ "id": string, "title": string, "description": string, "levels": [ { object ( |
| Fields | |
|---|---|
id |
Output only. Identifier. Criterion ID. |
title |
Title of the criterion. |
description |
Description of the criterion. |
levels[] |
The levels of performance for this criterion. |
learningGoal |
Learning goal attached to this criterion. |
Level
| JSON representation |
|---|
{ "id": string, "title": string, "description": string, "points": number } |
| Fields | |
|---|---|
id |
Output only. Identifier. Level ID. |
title |
Title of the level. |
description |
Description of the level. |
points |
Points awarded for this level. |
LearningGoal
| JSON representation |
|---|
{
"id": string,
"type": enum ( |
| Fields | |
|---|---|
id |
Output only. ID of the learning goal. To attach a standard, use an |
type |
Output only. The type of learning goal. |
standardCode |
Output only. Standard code (e.g. "NY-2.NBT.4"). Only populated for standards. |
title |
Output only. Statement description for standards, or human-readable title for skills. |
documentTitle |
Output only. Curriculum document name. Only populated for standards. |
Type
The type of learning goal.
| Enums | |
|---|---|
TYPE_UNSPECIFIED |
Unspecified learning goal type. |
STANDARD |
A learning standard from an academic curriculum. |
SKILL |
A skill representing an educational concept or competency. Only a teacher can add or remove skills, in Classroom. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌
Authorization Scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/classroom.coursework.studentshttps://www.googleapis.com/auth/classroom.coursework.students.readonlyhttps://www.googleapis.com/auth/classroom.coursework.mehttps://www.googleapis.com/auth/classroom.coursework.me.readonly